Summary:	Complete front-end for mplayer written in Qt4
Name:		smplayer
Version:	0.6.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
Url:		http://smplayer.sourceforge.net
Source0:	http://smplayer.sourceforge.net/porting/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.6.0final-optflags.patch
BuildRequires:	qt4-devel	>= 4.2.0
BuildRequires:	qt4-linguist	>= 4.2.0
Requires:	mplayer		>= 1.0-1.rc1
Suggests:	smplayer-themes
Obsoletes:	smplayer-qt4 < 0.5.62-1
Provides:	smplayer-qt4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs 
to more advanced features like support for MPlayer filters and more.

One of the most interesting features of SMPlayer: it remembers the 
settings of all files you play. So you start to watch a movie but you 
have to leave... don't worry, when you open that movie again it will 
resume at the same point you left it, and with the same settings: 
audio track, subtitles, volume...

Other additional interesting features:

* New GUI. Now there are toolbars, the control at the bottom is different 
  (and it changes if the window is made smaller), the icons can be changed 
  (several icon themes are available). In fullscreen mode the floating 
  control that appears when you move the mouse to the bottom of the screen 
  is new too and this time the video doesn't resize when it shows.
* Configurable key shortcuts. A shortcut editor has been added, it's 
  located at "Preferences->Mouse & keyboard". Please read 
  Configurable_shortcuts.txt.
* Support for VCD. Now you can also play VCD discs.
* System tray icon. Now it's possible to leave SMPlayer running in the 
  system tray. This feature requires Qt 4.2.
* Added some new functions, like pan&scan, stay on top, set the size 
  of the window...
* Improved support for subtitles. For instance, now you can load a idx/sub 
  file and you'll be able to select among all languages that the file 
  provides. You can have a mkv file with embedded subtitles, load an 
  idx/sub file (or srt, sub...) and all subtitles will be available.
* New translations. SMPlayer 0.5.0 is translated (totally or partially) to 
  the following languages: Bulgarian, Czech, German, Spanish, French, 
  Hungarian, Italian, Japanese, Georgian, Dutch, Polish, Brazilian Portuguese, 
  Russian, Slovak, Serbian, Swedish, Turkish, Ukrainian, Simplified-Chinese 
  and Traditional Chinese. By the way, now it's possible to change the language
  at run-time.
				
SMPlayer supports themes which can be found in smplayer-themes package.

%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
export OPTFLAGS="%{optflags}"

%make PREFIX=%{_prefix} QMAKE=%{qt4bin}/qmake LRELEASE=%{qt4bin}/lrelease
#KDE_SUPPORT=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std PREFIX=%{_prefix}

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc

desktop-file-install \
	--remove-key='Encoding' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changelog *.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%lang(fr) %{_datadir}/%{name}/translations/qt_fr.qm
%lang(bg) %{_datadir}/%{name}/translations/smplayer_bg.qm
%lang(ca) %{_datadir}/%{name}/translations/smplayer_ca.qm
%lang(cs) %{_datadir}/%{name}/translations/smplayer_cs.qm
%lang(de) %{_datadir}/%{name}/translations/smplayer_de.qm
%lang(el_GR) %{_datadir}/%{name}/translations/smplayer_el_GR.qm
%lang(en_US) %{_datadir}/%{name}/translations/smplayer_en_US.qm
%lang(es) %{_datadir}/%{name}/translations/smplayer_es.qm
%lang(eu) %{_datadir}/%{name}/translations/smplayer_eu.qm
%lang(fi) %{_datadir}/%{name}/translations/smplayer_fi.qm
%lang(fr) %{_datadir}/%{name}/translations/smplayer_fr.qm
%lang(hu) %{_datadir}/%{name}/translations/smplayer_hu.qm
%lang(it) %{_datadir}/%{name}/translations/smplayer_it.qm
%lang(ja) %{_datadir}/%{name}/translations/smplayer_ja.qm
%lang(ka) %{_datadir}/%{name}/translations/smplayer_ka.qm
%lang(ko) %{_datadir}/%{name}/translations/smplayer_ko.qm
%lang(mk) %{_datadir}/%{name}/translations/smplayer_mk.qm
%lang(nl) %{_datadir}/%{name}/translations/smplayer_nl.qm
%lang(pl) %{_datadir}/%{name}/translations/smplayer_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/smplayer_pt_BR.qm
%lang(pt_pt) %{_datadir}/%{name}/translations/smplayer_pt_PT.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/smplayer_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/smplayer_ru_RU.qm
%lang(sk) %{_datadir}/%{name}/translations/smplayer_sk.qm
%lang(sr) %{_datadir}/%{name}/translations/smplayer_sr.qm
%lang(sv) %{_datadir}/%{name}/translations/smplayer_sv.qm
%lang(tr) %{_datadir}/%{name}/translations/smplayer_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/smplayer_uk_UA.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/smplayer_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/smplayer_zh_TW.qm


%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.6.1-1mdv2008.1
+ Revision: 218432
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 29 2008 Funda Wang <fundawang@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 213074
- New version 0.6.1

* Wed May 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2009.0
+ Revision: 207195
- Patch0: compile with %%optflags
- fix file list
- update to the final version

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc4.1mdv2009.0
+ Revision: 196091
- update to the rc4 release

* Thu Mar 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc3.1mdv2009.0
+ Revision: 190669
- fix file list
- new release candidate 3

* Sun Mar 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc2.2mdv2008.1
+ Revision: 183038
- rebuild for qt4 changes

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Feb 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-0.rc2.1mdv2008.1
+ Revision: 166901
- update to latest release candidate version
- remove warnings from description

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 0.6.0-0.rc1.1mdv2008.1
+ Revision: 161001
- Update file list
- New version 0.6.0rc1

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.62-3mdv2008.1
+ Revision: 155403
- remove conflicts
- add provides on smplayer-qt4

* Sun Jan 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.62-2mdv2008.1
+ Revision: 155339
- clean spec file
- obsolete smplayer-qt4
- kill qt3 version of smplayer

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-2mdv2008.0
+ Revision: 66827
- fix bug #32668

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.21-1mdv2008.0
+ Revision: 44178
- new version, last QT3 version also

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.19-1mdv2008.0
+ Revision: 43345
- new version
- drop X-MandrivaLinux
- add new translations

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.15-1mdv2008.0
+ Revision: 40659
- new version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.13-1mdv2008.0
+ Revision: 39541
- new version

* Tue Jun 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.11-1mdv2008.0
+ Revision: 38335
- new version

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 36819
- new version

* Tue Jun 05 2007 Funda Wang <fundawang@mandriva.org> 0.5.5-1mdv2008.0
+ Revision: 35784
- New version

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 34432
- new version

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 32315
- update to latest version

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.30-1mdv2008.0
+ Revision: 31982
- add traditional chinese translation
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.29-1mdv2008.0
+ Revision: 31195
- new version

* Fri May 25 2007 Funda Wang <fundawang@mandriva.org> 0.4.28-1mdv2008.0
+ Revision: 30965
- add sr language
- New upstream version

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.27-1mdv2008.0
+ Revision: 30535
- new version

* Mon May 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.25-2mdv2008.0
+ Revision: 29252
- update summary and description
- drop requires on smplayer-themes (no need to restrict free will of users :)
- pass %%_prefix for the %%make (still needed)

* Mon May 21 2007 Funda Wang <fundawang@mandriva.org> 0.4.25-1mdv2008.0
+ Revision: 29027
- fix installation path
- New upstream version

* Sun May 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.24-1mdv2008.0
+ Revision: 28845
- update to the latest version
- themes are standalone package now
- use %%makeinstall, as smplayer's makefile works fine
- some minor changes in spec file

* Sat May 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.23-1mdv2008.0
+ Revision: 28425
- new version
- fix translation path

* Thu May 17 2007 Funda Wang <fundawang@mandriva.org> 0.4.22-1mdv2008.0
+ Revision: 27537
- new upstream version 0.4.22

* Wed May 16 2007 Funda Wang <fundawang@mandriva.org> 0.4.21-1mdv2008.0
+ Revision: 27138
- New upstrem version 0.4.21

* Wed May 16 2007 Funda Wang <fundawang@mandriva.org> 0.4.20-1mdv2008.0
+ Revision: 27128
- New upstream version

* Sun May 13 2007 Funda Wang <fundawang@mandriva.org> 0.4.19-1mdv2008.0
+ Revision: 26510
- New upstream version

* Fri May 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.18-1mdv2008.0
+ Revision: 26212
- new version
- remove buildrequires on libqt-devel
- add Swedish translation

* Wed May 09 2007 Funda Wang <fundawang@mandriva.org> 0.4.16-1mdv2008.0
+ Revision: 25389
- new version.

* Tue May 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.15-1mdv2008.0
+ Revision: 25026
- new version

* Mon May 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.13-1mdv2008.0
+ Revision: 23954
- new version
- add Turkish translation
- add Source1 (a set of themes, which are upstream in separate tarball now)

* Fri May 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-1mdv2008.0
+ Revision: 22341
- new version

* Thu May 03 2007 Funda Wang <fundawang@mandriva.org> 0.4.6-1mdv2008.0
+ Revision: 20840
- New upstream version 0.4.6

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 19363
- new version

* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.44-1mdv2008.0
+ Revision: 18964
- new version
- add Bulgarian translation

* Tue Apr 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.39-1mdv2008.0
+ Revision: 17934
- new version
- compile with KDE support
- set buildrequires on kdelibs-devel

* Mon Apr 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.36-1mdv2008.0
+ Revision: 17293
- new version
- set more precise requires on mplayer's version
- add missing cs translation

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.31-2mdv
+ Revision: 16254
- fix prefix
- use smplayer's own desktop file

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.31-1mdv2008.0
+ Revision: 15775
- new version
- fix prefix path
- icons are now included

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.27-1mdv2008.0
+ Revision: 14812
- new version


* Mon Mar 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.13-1mdv2007.0
+ Revision: 133008
- new version

* Tue Feb 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-1mdv2007.1
+ Revision: 126549
- new version

* Sat Feb 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.2-1mdv2007.1
+ Revision: 125404
- new version

* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.18-1mdv2007.1
+ Revision: 123636
- bump to the latest version
- move input.conf to the right place
- drop buildrequires on ImageMagick

* Fri Feb 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.12-1mdv2007.1
+ Revision: 121581
- new version
- add input.conf

* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-1mdv2007.1
+ Revision: 120044
- new version
- drop patch 0

* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1-0.20070208.1mdv2007.1
+ Revision: 118392
- new snapshot

* Thu Feb 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0-0.070206.1mdv2007.1
+ Revision: 117365
- Import smplayer

